
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>用Swing的Jtable类让数据看起来更干净 / iVAN</title>

    <meta name="description" content="用Swing的Jtable类让数据看起来更干净 数据 Swing颇受欢迎的JTable类为显示大块数据提供了一种简单的机制.JTable有很多东西是用于数据的生成和编辑,其中的很多东西还可以自定义,从而更进一步增强其功能.本文会引导你一步步地进入JTable的世界. Listing A包含了一个简单示例的代码,这个示例会说明常用JTable的行为.用户能够更改JTable的布局.拖放它的栏,或者通过拖动标题的分隔线来改变其大小. 这些列被保存在一个String数组里:String[] columnNames = {&quot;Product& ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">用Swing的Jtable类让数据看起来更干净</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>数据</p>
<p>Swing颇受欢迎的JTable类为显示大块数据提供了一种简单的机制。JTable有很多东西是用于数据的生成和编辑，其中的很多东西还可以自定义，从而更进一步增强其功能。本文会引导你一步步地进入JTable的世界。</p>
<p>Listing A包含了一个简单示例的代码，这个示例会说明常用JTable的行为。用户能够更改JTable的布局、拖放它的栏，或者通过拖动标题的分隔线来改变其大小。</p>
<p>这些列被保存在一个String数组里：String[] columnNames = {"Product","Number of Boxes","Price"};数据被初始化并保存在一个二维的对象数组里：Object[][] data ={{"Apples", new Integer(5),"5.00"},         {"Oranges", new Integer(3),"6.00"},         {"Pears", new Integer(2),"4.00"},         {"Grapes", new Integer(3),"2.00"},};JTable是使用data和columnNames构成的：JTable table = new JTable(data, columnNames);<br />查看JTable<br />JTable的高度和宽度按照下面的方法来设定：table.setPreferredScrollableViewportSize(new Dimension(300, 80));如果JTable的一个列或者JTable窗口自身的大小被重新确定，那么其他列会被相应的缩小或者放大，以适应新的窗口。使用setAutoResizeMode()方法就能够控制这种行为：table.setAutoResizeMode(int mode);mode整数字段可能的值有：AUTO_RESIZE_OFFAUTO_RESIZE_NEXT_COLUMNAUTO_RESIZE_SUBSEQUENT_COLUMNSAUTO_RESIZE_LAST_COLUMNAUTO_RESIZE_ALL_COLUMNS</p>
<p>表格的缺省值</p>
<p>单元格内方格坐标线的缺省颜色是Color.gray。要更改这些方格坐标线的颜色，就要用到：table.setGridColor(Color.black);你可以用下面的方法来改变行的高度：table.setRowHeight(intpixelHeight);各个单元格的高度将等于行的高度减去行间的距离。在缺省情况下，内容的前景颜色和背景颜色的选择都是由Swing的所见即所得的实现来确定的。你可以使用下面的方法来更改选择的颜色：table.setSelectionBackground(Color.black); table.setSelectionForeground(Color.white);你也可以隐藏单元格的方格坐标线，就像下面这样：table.setShowHorizontalLines(false);table.setShowVerticalLines(false);图A显示了一个隐藏了其水平坐标线的JTable。</p>
<p>图A</p>
<p>列的宽度<br />JTable组件有几个控制表格特性的类和接口。TableColumn会不断追踪列的宽度，并负责列大小的调整，包括最大和最小宽度。TableColumnModel管理着TableColumns的集合以及列的选择。要设置某个列的宽度，就要为表格列的模型设置一个参照。然后，取得想要的TableColumn并调用其setPreferredWidth()方法：TableColumncolumn = table.getColumnModel().getColumn(0);column.setPreferredWidth(100);当用户拖放列的时候，列的索引并不会发生改变。getColumn(0)方法会一直返回正确的列，无论它出现在屏幕的哪个地方。</p>
<p>标题</p>
<p>JtableHeader会处理JTable标题的显示。你可以细分JtableHeader以获得自定义的布局。例如，如果你的应用程序需要一个跨越多个列的标题，那么只用简单地细分JtableHeader并将它集成到你的JTable里就行了。你可以通过为当前JTable的JtableHeader设置一个参照或者调用其setReorderingAllowed()方法，来指定标题的重新排序是否被允许：table.getTableHeader().setReorderingAllowed(false);类似地，你可以确信列不会因为在列标题之间拖动而改变大小。要达到这个目的，你就要使用setResizingAllowed()方法：table.getTableHeader().setResizingAllowed(false);<br />选择模式<br />在缺省状况下，当用户在JTable里选择一个单元格的时候，整个行都被选中了。有多种方法能够让用户自定义选择的方式。利用ListSelectionModel接口，你可以允许用户选择单个或者多个行：table.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);ListSelectionModel有下面这些字段：<br />SINGLE_SELECTION允许一次选择一行。 SINGLE_INTERVAL_SELECTION允许选择相邻的一系列行。 MULTIPLE_INTERVAL_SELECTION也允许选择相邻的列，但是带有扩展功能。它允许用户使用[Ctrl]键进行多个互不相邻的选择（即选择不相邻的行）。 <br />setCellSelectionEnabled()方法让用户能够同时选择单个单元格或者整个行：table.setCellSelectionEnabled(true);如果被设置为是，setCellSelectionEnabled()方法还会允许在选择行和单个单元格的同时选择列，如果图B所示。</p>
<p>图B</p>
<p>编辑单元格</p>
<p>我们这个简单的表格允许用户编辑表格里的任何单元格。Listing B列出了一个表格，它允许由程序员来决定哪些单元格能够被编辑。第一步是创建一个自定义的TableModel：class SimpleTableModel extends AbstractTableModel {}数据被封装在TableModel里，当JTable初始化的时候，自定义的TableModel就被作为一个参数传递给JTable的构造函数而不是那个二维的对象数组：  SimpleTableModelmyModel = new SimpleTableModel();  JTable table = new JTable(myModel);如果想让第二列和第三列也变得可以编辑，并把第一列变成恒定的，那么你就要强制替代TableModel的isCellEditable()方法：public booleanisCellEditable(int row, intcol){if (col == 0) {return false;}         else          {return true; }}<br />简单的表格验证<br />你需要确保用户只输入整数值，假如说，向第二列（“盒子的数量”这一列）输入值来强制替代setValueAt()方法，并将验证逻辑包括进这个新方法里。首先，你要检查列是否是整数，以及这个列是否只应该包含整数值：if (data[0][col] instanceof Integer &amp;&amp; !(value instanceof Integer)){… } else { data[row][col] = value;}然后，检查被插入的值是否是个整数。如果它不是的，那么这个字段就不应该被更新，而且应该要显示一条错误信息：try {data[row][col] = new Integer(value.toString());} catch (NumberFormatException e) {JOptionPane.showMessageDialog(SimpleTable.this,"Please enter only integer values.");}</p>
<p>背景颜色</p>
<p>Listing C包含了用于ColorTable.java的代码，它说明了如何向JTable加入颜色。你可以通过强制替代其prepareRenderer()方法来向JTable加入背景颜色：JTable table = new JTable(data, columnNames){   public Component prepareRenderer(TableCellRenderer r, int row, intcol){}};然后，插入决定哪些列应该有颜色以及应该是什么颜色的逻辑：if (col == 2 &amp;&amp; !isCellSelected(row, col)){     Color bg = new Color(200, 100, 30);     c.setBackground(bg);c.setForeground(Color.white);}要注意，当你更改单元格背景颜色的时候，你还应该更该单元格里所显示的文本的颜色，让其变得更加易读。图C显示了一个第一列和第二列加上了颜色的JTable。</p>
<p>图C</p>
<p>一切皆在掌握中<br />我们的例子只是JTable其他部分的基础。通过使用这些工具，你能够快速和轻易地掌控对Java应用程序所生成的表格的格式化，这样就能够让你的用户在进行正常使用的时候不碰到障碍。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-22 18:10:50</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e6%b3%95/" title="方法">方法</a>, <a href="https://www.iamivan.net/tag/%e9%80%89%e6%8b%a9/" title="选择">选择</a>, <a href="https://www.iamivan.net/tag/%e9%a2%9c%e8%89%b2/" title="颜色">颜色</a>, <a href="https://www.iamivan.net/tag/table/" title="table">table</a>, <a href="https://www.iamivan.net/tag/%e5%8d%95%e5%85%83/" title="单元">单元</a>, <a href="https://www.iamivan.net/tag/jtable/" title="jtable">jtable</a>, <a href="https://www.iamivan.net/tag/ize-onst/" title="ize onst &num;">ize onst &num;</a>, <a href="https://www.iamivan.net/tag/swing-jtable-%e5%8d%95%e5%85%83%e6%a0%bc/" title="swing jtable 单元格">swing jtable 单元格</a>, <a href="https://www.iamivan.net/tag/tablemodel/" title="TableModel">TableModel</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>用Swing的Jtable类让数据看起来更干净的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgwmE3M.html" rel="bookmark">Swing之JTable的详细介绍&lpar;转&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				表格(Table)的使用与介绍8-1:使用JTable组件:类层次结构图:java.lang.Object--java.awt.Component--java.awt.Container--javax.Swing.JComponent--javax.Swing.JTabel 一个CRUD的Demo package frame; import javax.swing.*; import javax.swing.table.DefaultTableModel; import java.awt.*;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDAlwrb.html" rel="bookmark">可视化Swing中JTable控件绑定SQL数据源的两种方法深入解析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				以下是对可视化Swing中JTable控件绑定SQL数据源的两种方法进行了详细的分析介绍,需要的朋友可以过来参考一下   在 MyEclipse 的可视化 Swing 中,有 JTable 控件. JTable 用来显示和编辑常规二维单元表. 那么,如何将 数据库SQL中的数据绑定至JTable中呢? 在这里,提供两种方法.JTable的构造方法通过查阅Java的API,可以可以得到JTable的两个重要的构造方法:JTable(Object[][] rowData, Object[] colu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZReNaz.html" rel="bookmark">JAVA swing编程中怎样让数据表里的数据居中</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如图,想把下图里的数据居中,怎样实现?  问题补充:能不能具体点!小弟刚学Java! 解决方案 JTable中,每个单元格的渲染都是交给TableCellRenderer来做的.你可以使用JTable.setDefaultRenderer来设置每列的渲染器.如果你没有设此值,默认的,JTable使用DefaultTableCellRenderer这个类你可以看下DefaultTableCellRenderer这个类的源码就明白了.解决方案二:类似于:public class Defau			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyrYZlp.html" rel="bookmark">ajax请求返回的数据看不到回调函数没有执行也没报错</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  ajax请求返回的数据看不到回调函数没有执行,哪里都没有报错,有类似情况的朋友可以参考下本文 项目用的是ssh,使用jquery的$.post访问struts2的Action,哪里都没有报错,可就是没有结果. 现在$.post要返回保存着权限的集合Collection ,权限类Privilege和用户类User相互关联,也就是Privilege里使用set集合保存着拥有这个权限的用户Set,用户User里也使用set集合保存着用户有的权限Set .数据都到action里了,但是回调函数没有执			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJk5qDb.html" rel="bookmark">从数据看&OpenCurlyDoubleQuote;豆瓣&rdquo;兴衰</a>
			</h2>
		</header>
		<article class="clearfix">
									<a href="https://www.iamivan.net/a/zJk5qDb.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcmVhZC5odG1sNS5xcS5jb20vaW1hZ2U/c3JjPWZvcnVtJmFtcDtxPTUmYW1wO3I9MCZhbXA7aW1nZmxhZz03JmFtcDtpbWFnZVVybD1odHRwOi8vbW1iaXoucXBpYy5jbi9tbWJpei93YzdZTlBtM1l4VzdranRzS0dhYXBmR1BjUElKNGliSnRUNFhhUndiZFJ0d3FOR0tvUG1JMVhXUDNMaFdNMTE1UThXSllpYU1pYnZRUjVjcUF2anFQelRwUS8w.jpg">
							</a>
						<div class="summary">
				从2005年3月6日正式上线算起,豆瓣诞生已将十年,此时稍作回顾或许也正合宜.在这十年间,对豆瓣自不免有许多批评和质疑(这些声音恐怕大多来自它的用户),但不可否认,它堪称创造了历史.豆瓣的模式在中国迄今没有哪家能完全复制(在这一意义上,它是没有竞争对手的),它属于那种&quot;只发生一次&quot;的历史事件.不论好坏,它的出现,为广大文艺青年.普通青年及若干二逼青年提供了一个交流分享阅读.电影.音乐等体验的公共平台,不夸张地说,如果没有这样一个巨大的虚拟咖啡馆,我们这个时代的精神生活可能会贫瘠许多--			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boOvWXb.html" rel="bookmark">从艾瑞最新数据看乐视网收购花儿影视的背后动因</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				从艾瑞最新数据看乐视网收购花儿影视的背后动因近期,乐视网重金收购花儿影视成为互联网圈内炙手可热的关注焦点.一家网络视频公司为何要收购一家影视制作公司?乐视网为何有动力以9亿高价收购?这一对视频网站上游的渗透动作会给视频行业竞争格局会带来怎样的化学反应?乐视网这一战略收购背后所折射出的视频行业竞争格局变化又是什么?一连串的问号引发无限猜想.或许,从艾瑞和comScore两家市场研究公司最新发布的9月份一系列数据中,我们可以推敲出个中原因.精品 版权&amp;精品自制齐 发力,乐视网优势地位逐渐夯实在分析问			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrdvKxz.html" rel="bookmark">透过数据看市场　国内语音助手竞争格局分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				(各家语音助手下载数据柱状图) 苹果Siri的到来引发了国内外的语音助手浪潮,而建立在语音交互基础上的个人智能助理产品也成了移动产品未来的发展趋势之一,目前国内研发的相关产品不下100种,竞争亦是非常激烈. 小编根据截止至2013年10月28日的Android平台中国9家主流应用商店的监测数据显示,在语音助手类应用细分领域,从累计下载量数据看,虫洞语音助手.智能360.科大讯飞旗下的的语点(灵犀版)分别以1419.51万.1216.68万.1096.42万的下载量位列前三位,下载量突破千万:搜索			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP8r0Dp.html" rel="bookmark">关于C&plus;&plus;类的数据成员的存储类型，为什么不能是auto、register和extern</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 关于C++类的数据成员的存储类型,为什么不能是auto.register和extern C++中类的存储类型不能是register和extern可以理解,但为什么不能是auto类型的呀?在结构体中同样出错,在函数中不出错,什么情况? #include&lt;iostream&gt; #include&lt;cmath&gt; using namespace std; class complex { private: auto double real;//编译时此处有错误illegal stora			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boRyN3z.html" rel="bookmark">用大数据看懂《速度与激情》的用车法则</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章讲的是用大数据看懂&lt;速度与激情&gt;的用车法则,当你对&lt;速度与激情&gt;中的车流口水时,有没有想过,这个电影里究竟有多少台车?哪个品牌车最多?什么车最厉害?-- 没错,4月12日,&lt;速度与激情7&gt;就要和中国观众见面了,无论你是不是&lt;速度与激情&gt;系列的粉丝,这都是一部不可不看的作品.在此,TD并不想剧透电影剧情,而是想和你侃侃在&lt;速度与激情&gt;中的那些车. 或许,你对&lt;速度与激情&gt;中Han驾驶的RX-7记忆犹新,或许你对拖着金柜狂飙的道奇Ch			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvYZ1b.html" rel="bookmark" class="title">Python文件及目录操作实例详解</a>
					<div>
						  本文实例讲述了Python文件及目录操作的方法.分享给大家供大家参考.具体分析如下: 在python中对文件及目录的操作一般涉及多os模块,os.path模块.具体函数以及使用方法在程序中说明.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9Mxg8Qb.html" rel="bookmark" class="title">Java Servlet 编程及应用之Cookie的使用方法</a>
					<div>
						Cookie 是一小块可以嵌入HTTP 请求和响应中的数据,它在服务器上产生,并作为响应头域的一部分返回用户.浏览器收到包含Cookie 的响应后,会把Cookie 的内容用&quot;关键字/值&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM90LRb.html" rel="bookmark" class="title">关于如何使用struts标签输出值为map的list</a>
					<div>
						最近在一个项目中,要将一个list在客户端输出,而list里面的每个值不是bean,而是map,想好好久,想了个办法,可以实现,代码如下   ArrayList  testList=new Array ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpdoj2M.html" rel="bookmark" class="title">实例浅谈电子商务站点着陆页面的优化技巧</a>
					<div>
						在电子商务站点中,着陆页(Landing Page,有时被称为首要捕获用户的页面)就是当我们的潜在用户点击广告或者利用搜索引擎搜索后显示给用户的产品页面.电子商务网站来说,最看重的不是单纯的网络流量而 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yABvz.html" rel="bookmark" class="title">SpringSide开发实战（七）：在项目中整合FCKeditor</a>
					<div>
						Web 2.0时代时代的Web项目,是无论如何也少不了一个在线编辑器的,因此在我们的项 目中整合一个Web编辑器就显得至关重要.在这里,我依然以前面的xkland项目为例,来探 讨在项目中整合FCKe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRygqab.html" rel="bookmark" class="title">移动设备应用的灰盒测试</a>
					<div>
						  所谓移动设备应用的灰盒测试是指,将传统的源代码检查(白盒测试)与前期测试(黑盒测试)结合起来的一种技术.测试人员必须检查应用程序的代码库,审查关键功能代码,审查常见的错误编码或非法编码方法.此外, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6n8Xz.html" rel="bookmark" class="title">创建视觉图片网站的jQuery插件</a>
					<div>
						jQuery是全世界正在使用的最知名的开源JavaScript库,,因为它不但简化了客户端脚本的HTML.并且还可以使用这些插件来做出惊人 的效果.今天无数的jQuery插件已经可以在互联网上创建动态 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElo1Jz.html" rel="bookmark" class="title">Win7系统打不开后缀名为caj文件怎么办？</a>
					<div>
						  Win7系统打开caj文件的方法步骤: 1.直接打开PDF阅读器,点击文件→打开,找到CAJViewer,找到目标CAJ文件所在的文件夹,右下角下拉菜单选择&quot;所有文件&quot;; 2. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnY0O2M.html" rel="bookmark" class="title">Xp系统怎样设置自启动项目顺序</a>
					<div>
						  Xp系统怎样设置自启动项目顺序 方法如下: 1.首先在你的电脑中新建一个文件夹,如:C:Ordered Launch; 2.然后依次打开&quot;开始|所有程序|启动&quot;,把所有快捷方式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYo1AM.html" rel="bookmark" class="title">如何开启关闭Windows 8计划备份功能？</a>
					<div>
						  1.在系统下同时按住键盘上 &quot;Windows 徽标&quot; 键和 &quot;X&quot; 键,在系统工具快捷入口打开&quot;控制面板&quot;. 2.找到控制面板中的&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3Y8vp.html" rel="bookmark" class="title">WinPE启动过程介绍</a>
					<div>
						  WinPE是经常用到系统维护工具了,现在就为大家介绍一下WinPE在各种介质上的启动过程. 一.光盘(WinPE)的启动过程: BIOS-&gt;PEBOOT.BIF(光盘引导信息)-&gt;定位 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ox2Nb.html" rel="bookmark" class="title">Python3&period;6新特性</a>
					<div>
						本文解释了Python 3.6中的新功能,与3.5相比.Python 3.6于2016年12月23日发布.有关完整的详细信息,请参阅更新日志. Summary – Release highlights ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWJd6p.html" rel="bookmark" class="title">为什么360云盘在系统重装后里面的文件都没有了？</a>
					<div>
						问题描述 为什么360云盘在系统重装后里面的文件都没有了? 解决方案 好好的dropbox不用,非要用这种山寨劣质的东西. 解决方案二: 是不是登错账号了呢? 解决方案三: 直接去360云盘网站看看, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBY3qb.html" rel="bookmark" class="title">jquery-JqGrid无法显示，不进入ashx</a>
					<div>
						问题描述 JqGrid无法显示,不进入ashx 把JqGrid写到js里面,前面有一块代码也调用了这个js,可以显示纪录,也可以进入HistoryService.ashx里面,断点可以停,但是另外一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7Q1Np.html" rel="bookmark" class="title">save data to file</a>
					<div>
						使用python 如何将数据输出到文件呢? 使用open以写模式或追加模式打开文件, 使用print的file=fileobj来写. [root@localhost ~]# cd pydigoal/  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgw0gBM.html" rel="bookmark" class="title">mfc-CListCtrl中的某一行的某一列加载BMP</a>
					<div>
						问题描述 CListCtrl中的某一行的某一列加载BMP 怎么在CListCtrl中的某一行的某一列加载BMP,网上搜到一种只是在行首加载,但是我想在任意位置加载,请教各位大神怎么弄啊?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgLJRM.html" rel="bookmark" class="title">微博入驻企业近百万 社交资产成企业营销核心</a>
					<div>
						1月27日晚间消息,近日,&lt;2015微博企业运营白皮书&gt;正式发布,白皮书显示,2015年企业微博用户不断发展壮大,活跃度大幅攀升,有近百万的认证企业用户入驻微博.微博为企业用户提供多种营销 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xgadb.html" rel="bookmark" class="title">求助：一个很简单很简单的servlet配置，可就是搞不定</a>
					<div>
						问题描述 用Eclipse写了个servelt想布在Tomcat7.0里:=======================================================/webapps ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDngWlM.html" rel="bookmark" class="title">中国移动2016年低端路由器交换机集采结果出炉锐捷网络大份额中标</a>
					<div>
						近日,中国移动2016年度低端路由器和低端交换机产品集中采购项目招标结果出炉,作为中国数据通信解决方案领导品牌,锐捷网络三个标段全部中标,并获得最大份额.其中在低端三层交换机和二层交换机标段,锐捷网络 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBy1XM.html" rel="bookmark" class="title">java-基础-JNI本地栈</a>
					<div>
						jni全称是Java Native Interface是在JAVA和Native层(包括但不限于C/C++)相互调用的接口规范. JNI在JAVA1.1中正式推出,在JAVA1.2版本中加入了JNI_ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBg8KAM.html" rel="bookmark" class="title">c&num;中析构函数的问题&period;</a>
					<div>
						问题描述 ~Proc(){System.Web.HttpContext.Current.Response.Write(&quot;哈哈&quot;);conn.Close();}好像没有输出啊?? 解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWWOlz.html" rel="bookmark" class="title">函数式JavaScript编程指南&lowbar;javascript技巧</a>
					<div>
						简介 你是否知道JavaScript其实也是一个函数式编程语言呢?本指南将教你如何利用JavaScript的函数式特性.  要求:你应当已经对JavaScript和DOM有了一个基本的了解. 写这篇指 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqdjAp.html" rel="bookmark" class="title">javaweb学习总结&mdash;&mdash;使用JDBC处理MySQL大数据&lowbar;java</a>
					<div>
						BLOB (binary large object),二进制大对象,是一个可以存储二进制文件的容器.在计算机中,BLOB常常是数据库中用来存储二进制文件的字段类型,BLOB是一个大文件,典型的BLOB ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYl0Ab.html" rel="bookmark" class="title">JqGrid web打印实现代码&lowbar;jquery</a>
					<div>
						在IE9中打印没有问题,但IE6.7.8都会出现前几页空白的情况(只显示列头信息),找了很久,才发现是ui-jqgrid-bdiv样式类(在ui.jqgrid.css内)中的overflow引起的,在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNGxep.html" rel="bookmark" class="title">红米Note预约码如何使用&quest;红米Note预约码使用方法</a>
					<div>
						  1.我们先百度搜索&quot;小米&quot;官网然后进入之后在官方网站找到&quot;红米&quot;-&quot;红米Note&quot;项点击进入 如下图所示 2.然后我们在右上角会看到一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmArNz.html" rel="bookmark" class="title">英文网赚怎么做 做英文网赚的的几大认知</a>
					<div>
						.必备知识和技能 每个行业都有自己的专业知识,网络赚钱的行业,更何况是英文站赚钱.不要以为几个星期或者一两个月的培训课程就能把你打造成一个网赚 高手,这和大学的专业课程是一样的,更多的需要你努力学习付 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNAm9p.html" rel="bookmark" class="title">微软视频Soapbox转行不再与Youtube竞争</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 在未来几个月内,微软将缩减在网络视频服务Soapbox上投入的资源,这意味着曾经打算挑战YouTube垄断地位的微软已经放弃了这一念头. 周二,微软副总 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx2dlBz.html" rel="bookmark" class="title">Oracle10g using emca config dbconsole</a>
					<div>
						在grid control没有出来之前,ORACLE数据库的监控和管理可以通过dbconsole来完成. 有了dbconsole,对数据库性能和是否需要升级硬件等等的把控就显得轻松很多,否则的话还需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZR42Yz.html" rel="bookmark" class="title">物联网对农业生产意味着什么？</a>
					<div>
						来自咨询机构Beecham Research的报告显示,物联网(loT)或可成为农业生产的关键,利用物联网,全球可增加70%的粮食产量,从而满足2050年预计的96亿人口对粮食的需求. 这个关于M2M ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPO1m0M.html" rel="bookmark" class="title">正版软件 win2008标准版促销特价5000元</a>
					<div>
						Windows Server 2008是微软服务器操作系统的名称,它继承自Windows Server 2003.Windows Server 2008在进行开发及测试时的代号为&quot;Windo ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
